Last Comment Bug 714178 - Expose CPP from configure to the build system
: Expose CPP from configure to the build system
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla12
Assigned To: Kyle Huey [:khuey] (khuey@mozilla.com)
:
Mentors:
Depends on:
Blocks: Instantbird
  Show dependency treegraph
 
Reported: 2011-12-29 14:09 PST by Kyle Huey [:khuey] (khuey@mozilla.com)
Modified: 2012-01-04 07:47 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch (1.05 KB, patch)
2011-12-29 14:18 PST, Kyle Huey [:khuey] (khuey@mozilla.com)
ted: review+
Details | Diff | Splinter Review

Description Kyle Huey [:khuey] (khuey@mozilla.com) 2011-12-29 14:09:25 PST
I don't think mozilla-central needs this, but the InstantBird folks do, and it's easy enough to do.
Comment 1 Kyle Huey [:khuey] (khuey@mozilla.com) 2011-12-29 14:18:49 PST
Created attachment 584852 [details] [diff] [review]
Patch
Comment 2 Quentin Raynaud 2011-12-30 01:38:54 PST
Yes we do need this. I just tried this patch on our win32 slave and here what we found out :
$(CPP) works well with gmake, it's an implicit variable replaced at use time by '$(CC) -E'.

When I call 'make showbuild' on a gmake objdir, I have this line : '/path/to/python.exe -O /path/to/mozilla/build/cl.py cl -E'
whie, using this patch, with pymake, I have the following value : 'cl -E -nologo'.

Using this value should work in our test case, but I'm not sure the result is what is expected. I believe we should find a patch on pymake. I tried to add 'CPP': '$(CC) -E', in pymake/implicit.py but it seems that '$(CC)' is resolved at init time rather that at use time (CPP = ' -E' when doing a showbuild).

Hope this helps a little...
Comment 3 Ted Mielczarek [:ted.mielczarek] 2011-12-30 05:11:36 PST
Comment on attachment 584852 [details] [diff] [review]
Patch

Review of attachment 584852 [details] [diff] [review]:
-----------------------------------------------------------------

The inconsistent spacing in this file drives me nuts, but it's not worth worrying about.
Comment 4 Kyle Huey [:khuey] (khuey@mozilla.com) 2012-01-03 10:49:18 PST
http://hg.mozilla.org/projects/build-system/rev/c56d11e05feb
Comment 5 Florian Quèze [:florian] [:flo] 2012-01-03 13:42:50 PST
Is using 'cl -E -nologo' instead of '/path/to/python.exe -O /path/to/mozilla/build/cl.py cl -E' (as mentioned in comment 2) something that should worry us?
Comment 6 Kyle Huey [:khuey] (khuey@mozilla.com) 2012-01-03 13:44:35 PST
Probably not.  cl.py is only used for dependency generation for future rebuilds.
Comment 7 Kyle Huey [:khuey] (khuey@mozilla.com) 2012-01-04 07:47:47 PST
https://hg.mozilla.org/mozilla-central/rev/c56d11e05feb

Note You need to log in before you can comment on or make changes to this bug.